Subject: [Ecrit] Re: ECRIT (LoST) and draft-daigle-unaptr-00.txt

From: Leslie Daigle <[email-masked]>
Date: Thu, 26 Oct 2006 19:35:18 -0400

FYI, I did submit the revised version of the U-NAPTR document.
I believe this version is "done" and submittable to the IESG, but
I suspect I should wait until the end of the San Diego meeting
before passing it to the IESG (so people have time to comment),
if that's okay within your timelines.

The technical detail is not particularly different than the -00
version; this version chiefly clarifies that U-NAPTR is a new DDDS
application with massive dependencies on S-NAPTR (and fixes
the bugs in the example that Martin Thomson was kind enough
to point out ;-) ).

Leslie.

-------- Original Message --------
Subject: I-D ACTION:draft-daigle-unaptr-01.txt
Date: Mon, 23 Oct 2006 18:50:01 -0400
From: [email-masked]
Reply-To: [email-masked]
To: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

	Title		: Domain-based Application Service Location Using URIs and the 
Dynamic Delegation Discovery Service (DDDS)
	Author(s)	: L. Daigle
	Filename	: draft-daigle-unaptr-01.txt
	Pages		: 11
	Date		: 2006-10-23
	
The purpose of this document is to define a new, straightforward
    Dynamic Delegation Discovery Service (DDDS) application to allow
    mapping of domain names to URIs for particular application services
    and protocols.  Although defined as a new DDDS application, dubbed
    U-NAPTR, this is effectively an extension of the Straightforward
    NAPTR (S-NAPTR) DDDS application.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-daigle-unaptr-01.txt

[snip]

Leslie Daigle wrote:
> 
> Hi Hannes,
> 
> I don't think there would be a real problem for me to finish
> U-NAPTR in that timeframe (i.e., to the IESG by San Diego).
> 
> I was primarily waiting for input (from various interested
> parties, not just the ECRIT WG) on the question of whether
> to write it as an update of S-NAPTR or a completely new DDDS
> application.  I believe I have a reasonable fallback plan
> for how to handle that, if I get no further comments.
> 
> Thanks,
> Leslie.
> 
> Hannes Tschofenig wrote:
>> Hi Leslie,
>>
>> the ECRIT working group is working on an XML-based protocol for 
>> mapping service identifiers and geospatial or civic location 
>> information to service contact URIs. You can find the document at:
>> http://www.ietf.org/internet-drafts/draft-ietf-ecrit-lost-01.txt
>>
>> Based on your review of the Service URN draft
>> http://www.ietf.org/internet-drafts/draft-ietf-ecrit-service-urn-05.txt
>> we have moved the DNS-based LoST discovery procedure to the LoST 
>> protocol draft. The described solution builds on your document
>> http://www.ietf.org/internet-drafts/draft-daigle-unaptr-00.txt
>>
>> Here is the problem: We normatively depend on your document. The ECRIT 
>> milestones indicate that we need to finish the work on the mapping 
>> protocol by November 2006.
>>
>> Hence, we would like to ask you to accelerate your work on 
>> draft-daigle-unaptr-00.txt. When can you finish the document?
>>
>> If you cannot finish it very soon then we need to start thinking about 
>> a different solution.
>>
>> Ciao
>> Hannes & Marc
>>
> 

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit